Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class VFSDeploymentUnit

    java.lang.Object
      org.jbpm.kie.services.impl.VFSDeploymentUnit

All Implemented Interfaces:
  DeploymentUnit

    public class VFSDeploymentUnit

extends Object
implements DeploymentUnit

Nested Class Summary

Nested classes/interfaces inherited from interface org.jbpm.kie.services.api.DeploymentUnit
`DeploymentUnit.RuntimeStrategy`

Constructor Summary
`VFSDeploymentUnit(String identifier, String repositoryAlias, String repositoryFolder)`

Method Summary
`String` | `getIdentifier()`
`String` | `getRepository()`
`String` | `getRepositoryAlias()`
`String` | `getRepositoryFolder()`
`String` | `getRepositoryScheme()`
`DeploymentUnit.RuntimeStrategy` | `getStrategy()`
`void` | `setIdentifier(String identifier)`
`void` | `setRepositoryAlias(String repositoryAlias)`
`void` | `setRepositoryFolder(String repositoryFolder)`
`void` | `setRepositoryScheme(String repositoryScheme)`
`void` | `setStrategy(DeploymentUnit.RuntimeStrategy strategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSDeploymentUnit

    public VFSDeploymentUnit(String identifier,
                             String repositoryAlias,
                             String repositoryFolder)

Method Detail

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in interface `DeploymentUnit`

### getRepositoryAlias

    public String getRepositoryAlias()

### setRepositoryAlias

    public void setRepositoryAlias(String repositoryAlias)

### getRepositoryFolder

    public String getRepositoryFolder()

### setRepositoryFolder

    public void setRepositoryFolder(String repositoryFolder)

### setIdentifier

    public void setIdentifier(String identifier)

### getStrategy

    public DeploymentUnit.RuntimeStrategy getStrategy()

  Specified by:
    `getStrategy` in interface `DeploymentUnit`

### setStrategy

    public void setStrategy(DeploymentUnit.RuntimeStrategy strategy)

### getRepository

    public String getRepository()

### getRepositoryScheme

    public String getRepositoryScheme()

### setRepositoryScheme

    public void setRepositoryScheme(String repositoryScheme)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.